<?php

namespace XENTR\PaidMembership\Pub\Controller;

use XF\Pub\Controller\AbstractController;

class Membership extends AbstractController
{

    public function actionIndex(){
        $purchasable = $this->em()->find('XF:Purchasable', 'user_upgrade', 'AddOn');
        if (!$purchasable->isActive())
        {
            return $this->message(\XF::phrase('no_account_upgrades_can_be_purchased_at_this_time'));
        }

        $upgradeRepo = $this->repository('XF:UserUpgrade');
        list ($available, $purchased) = $upgradeRepo->getFilteredUserUpgradesForList();

        if (!$available && !$purchased)
        {
            return $this->message(\XF::phrase('no_account_upgrades_can_be_purchased_at_this_time'));
        }

        if (\XF::visitor()->user_state != 'valid')
        {
            return $this->error(\XF::phrase('account_upgrades_cannot_be_purchased_account_unconfirmed'));
        }

        /** @var \XF\Repository\Payment $paymentRepo */
        $paymentRepo = $this->repository('XF:Payment');
        $profiles = $paymentRepo->getPaymentProfileOptionsData();

        $viewParams = [
            'available' => $available,
            'purchased' => $purchased,
            'profiles' => $profiles
        ];
		return $this->view('XENTR\PaidMembership:Index', 'xtr_paid_membership_index', $viewParams);
    }

}