<?php

namespace XENTR\PaidMembership;

use XF\AddOn\AbstractSetup;
use XF\AddOn\StepRunnerInstallTrait;
use XF\AddOn\StepRunnerUninstallTrait;
use XF\AddOn\StepRunnerUpgradeTrait;

use XF\Db\Schema\Alter;
use XF\Db\Schema\Create;

class Setup extends AbstractSetup
{
	use StepRunnerInstallTrait;
	use StepRunnerUpgradeTrait;
	use StepRunnerUninstallTrait;
	
	public function installStep1()
    {		
		$this->schemaManager()->alterTable('xf_user_upgrade', function(Alter $table)
        {
            $table->addColumn('xtr_feature', 'int')->setDefault(0);
			$table->addColumn('xtr_paid_membership_icon', 'varchar', 150);
        });
		
		$entity = \XF::em()->create('XF:PaymentProvider');
		$entity->bulkSet(
			[
				'provider_id'    => "bankpayment",
				'provider_class' => "XENTR\\PaidMembership:BankPayment",
				'addon_id'       => "XENTR/PaidMembership"
			]
		);
		$entity->save();
    }

    public function uninstallStep1()
    {
        $this->schemaManager()->alterTable('xf_user_upgrade', function(Alter $table)
        {
            $table->dropColumns('xtr_feature');
			$table->dropColumns('xtr_paid_membership_icon');
        });
		
		$entity = \XF::em()->find('XF:PaymentProvider', 'bankpayment');
		if($entity)
		{
			$entity->delete();
		}
    }
}