<?php

/*
 * Created on 20.03.2020
 * HomePage: https://xentr.net
 * Copyright (c) 2020 XENTR | XenForo Add-ons - Styles -  All Rights Reserved
 */

namespace XENTR\PaidMembership\XF\Admin\Controller;

use XF\Mvc\FormAction;
use XF\Mvc\ParameterBag;

class UserUpgrade extends XFCP_UserUpgrade
{
	protected function upgradeSaveProcess(\XF\Entity\UserUpgrade $upgrade)
	{
		$form = parent::upgradeSaveProcess($upgrade);
		
		$input = $this->filter([
			'xtr_feature' => 'bool',
			'xtr_paid_membership_icon' => 'str'
		]);
		$form->basicEntitySave($upgrade, $input);
		
		$form->setup(function() use($upgrade)
		{
			$upgrade->xtr_feature = $this->filter('xtr_feature', 'uint');
			$upgrade->xtr_paid_membership_icon = $this->filter('xtr_paid_membership_icon', 'str');
		});


		return $form;
	}
}